<?php
	
	$crowdfunding_nonprofit_tp_theme_css = '';

	// 1st color
	$crowdfunding_nonprofit_tp_color_option_first = get_theme_mod('crowdfunding_nonprofit_tp_color_option_first', '#FF8E6C');
	if ($crowdfunding_nonprofit_tp_color_option_first) {
		$crowdfunding_nonprofit_tp_theme_css .= ':root {';
		$crowdfunding_nonprofit_tp_theme_css .= '--color-primary1: ' . esc_attr($crowdfunding_nonprofit_tp_color_option_first) . ';';
		$crowdfunding_nonprofit_tp_theme_css .= '}';
	}

	// 1st color
	$crowdfunding_nonprofit_tp_color_option_sec = get_theme_mod('crowdfunding_nonprofit_tp_color_option_sec', '#52DB82');
	if ($crowdfunding_nonprofit_tp_color_option_sec) {
		$crowdfunding_nonprofit_tp_theme_css .= ':root {';
		$crowdfunding_nonprofit_tp_theme_css .= '--color-primary3: ' . esc_attr($crowdfunding_nonprofit_tp_color_option_sec) . ';';
		$crowdfunding_nonprofit_tp_theme_css .= '}';
	}

	// preloader
	$crowdfunding_nonprofit_tp_preloader_color1_option = get_theme_mod('crowdfunding_nonprofit_tp_preloader_color1_option');
	if($crowdfunding_nonprofit_tp_preloader_color1_option != false){
	$crowdfunding_nonprofit_tp_theme_css .='.center1{';
		$crowdfunding_nonprofit_tp_theme_css .='border-color: '.esc_attr($crowdfunding_nonprofit_tp_preloader_color1_option).' !important;';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}
	if($crowdfunding_nonprofit_tp_preloader_color1_option != false){
	$crowdfunding_nonprofit_tp_theme_css .='.center1 .ring::before{';
		$crowdfunding_nonprofit_tp_theme_css .='background: '.esc_attr($crowdfunding_nonprofit_tp_preloader_color1_option).' !important;';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	$crowdfunding_nonprofit_tp_preloader_color2_option = get_theme_mod('crowdfunding_nonprofit_tp_preloader_color2_option');

	if($crowdfunding_nonprofit_tp_preloader_color2_option != false){
	$crowdfunding_nonprofit_tp_theme_css .='.center2{';
		$crowdfunding_nonprofit_tp_theme_css .='border-color: '.esc_attr($crowdfunding_nonprofit_tp_preloader_color2_option).' !important;';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}
	if($crowdfunding_nonprofit_tp_preloader_color2_option != false){
	$crowdfunding_nonprofit_tp_theme_css .='.center2 .ring::before{';
		$crowdfunding_nonprofit_tp_theme_css .='background: '.esc_attr($crowdfunding_nonprofit_tp_preloader_color2_option).' !important;';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	$crowdfunding_nonprofit_tp_preloader_bg_color_option = get_theme_mod('crowdfunding_nonprofit_tp_preloader_bg_color_option');

	if($crowdfunding_nonprofit_tp_preloader_bg_color_option != false){
	$crowdfunding_nonprofit_tp_theme_css .='.loader{';
		$crowdfunding_nonprofit_tp_theme_css .='background: '.esc_attr($crowdfunding_nonprofit_tp_preloader_bg_color_option).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	$crowdfunding_nonprofit_tp_footer_bg_color_option = get_theme_mod('crowdfunding_nonprofit_tp_footer_bg_color_option');


	if($crowdfunding_nonprofit_tp_footer_bg_color_option != false){
	$crowdfunding_nonprofit_tp_theme_css .='#footer{';
		$crowdfunding_nonprofit_tp_theme_css .='background: '.esc_attr($crowdfunding_nonprofit_tp_footer_bg_color_option).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	// logo tagline color
	$crowdfunding_nonprofit_site_tagline_color = get_theme_mod('crowdfunding_nonprofit_site_tagline_color');

	if($crowdfunding_nonprofit_site_tagline_color != false){
	$crowdfunding_nonprofit_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$crowdfunding_nonprofit_tp_theme_css .='color: '.esc_attr($crowdfunding_nonprofit_site_tagline_color).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	$crowdfunding_nonprofit_logo_tagline_color = get_theme_mod('crowdfunding_nonprofit_logo_tagline_color');
	if($crowdfunding_nonprofit_logo_tagline_color != false){
	$crowdfunding_nonprofit_tp_theme_css .='p.site-description{';
	$crowdfunding_nonprofit_tp_theme_css .='color: '.esc_attr($crowdfunding_nonprofit_logo_tagline_color).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	// footer widget title color
	$crowdfunding_nonprofit_footer_widget_title_color = get_theme_mod('crowdfunding_nonprofit_footer_widget_title_color');
	if($crowdfunding_nonprofit_footer_widget_title_color != false){
	$crowdfunding_nonprofit_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$crowdfunding_nonprofit_tp_theme_css .='color: '.esc_attr($crowdfunding_nonprofit_footer_widget_title_color).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	// copyright text color
	$crowdfunding_nonprofit_footer_copyright_text_color = get_theme_mod('crowdfunding_nonprofit_footer_copyright_text_color');
	if($crowdfunding_nonprofit_footer_copyright_text_color != false){
	$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$crowdfunding_nonprofit_tp_theme_css .='color: '.esc_attr($crowdfunding_nonprofit_footer_copyright_text_color).'!important;';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	// header image title color
	$crowdfunding_nonprofit_header_image_title_text_color = get_theme_mod('crowdfunding_nonprofit_header_image_title_text_color');
	if($crowdfunding_nonprofit_header_image_title_text_color != false){
	$crowdfunding_nonprofit_tp_theme_css .='.box-text h2{';
	$crowdfunding_nonprofit_tp_theme_css .='color: '.esc_attr($crowdfunding_nonprofit_header_image_title_text_color).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
	}

	// menu color
	$crowdfunding_nonprofit_menu_color = get_theme_mod('crowdfunding_nonprofit_menu_color');
	if($crowdfunding_nonprofit_menu_color != false){
	$crowdfunding_nonprofit_tp_theme_css .='.main-navigation a{';
	$crowdfunding_nonprofit_tp_theme_css .='color: '.esc_attr($crowdfunding_nonprofit_menu_color).';';
	$crowdfunding_nonprofit_tp_theme_css .='}';
}

//Footer Font Weight
$crowdfunding_nonprofit_footer_copyright_title_font_weight = get_theme_mod( 'crowdfunding_nonprofit_footer_copyright_title_font_weight','');
if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '100'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 100;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '200'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 200;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '300'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 300;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '400'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 400;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '500'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 500;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '600'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 600;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '700'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 700;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '800'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 800;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}else if($crowdfunding_nonprofit_footer_copyright_title_font_weight == '900'){
$crowdfunding_nonprofit_tp_theme_css .='#footer .site-info p {';
    $crowdfunding_nonprofit_tp_theme_css .='font-weight: 900;';
$crowdfunding_nonprofit_tp_theme_css .='}';
}